## UfoFixedScheduler

UfoFixedScheduler — Simple fixed scheduler

## Functions

UfoBaseScheduler * | ufo_fixed_scheduler_new ()
GQuark | ufo_fixed_scheduler_error_quark ()

## Types and Values

#define | UFO_FIXED_SCHEDULER_ERROR
enum | UfoFixedSchedulerError
struct | UfoFixedScheduler
struct | UfoFixedSchedulerClass

## Object Hierarchy

        GObject
        ╰── UfoBaseScheduler
            ╰── UfoFixedScheduler

## Implemented Interfaces

UfoFixedScheduler implements GInitable.

## Description

This scheduler has only minimal automatisms. It does not attempt to distribute work among multiple GPUs, which is left to do by the user.

## Functions

### ufo_fixed_scheduler_new ()

    UfoBaseScheduler *
    ufo_fixed_scheduler_new (void);

Creates a new UfoFixedScheduler.

#### Returns

A new UfoFixedScheduler

### ufo_fixed_scheduler_error_quark ()

    GQuark
    ufo_fixed_scheduler_error_quark (void);

## Types and Values

### UFO_FIXED_SCHEDULER_ERROR

    #define UFO_FIXED_SCHEDULER_ERROR            ufo_fixed_scheduler_error_quark()

### enum UfoFixedSchedulerError

#### Members

UFO_FIXED_SCHEDULER_ERROR_SETUP | Could not start scheduler due to error |

### struct UfoFixedScheduler

    struct UfoFixedScheduler;

The base class scheduler is responsible of assigning command queues to filters (thus managing GPU device resources) and decide if to run a GPU or a CPU. The actual schedule planning can be overriden.

### struct UfoFixedSchedulerClass

    struct UfoFixedSchedulerClass {
    };

UfoFixedScheduler class